const rp = require("request-promise");

const feed = "https://www.kernel.org/releases.json";

module.exports = bot => {
  bot._trigger.set("kernel", {
    call: /^(\.|\/)kernel/i,
    level: 0,
    active: true,
    clients: ["irc", "tg"],
    f: e => {
      rp(feed).then(content => {
        const releases = JSON.parse(content).releases;
        e.reply(releases.map(entry => `[b]${entry.version}[/b] (${entry.moniker}${entry.iseol ? `, [i]EOL[/i]` : ""})`).join(", "));
      });
    }
  });
};
